Name: liborigin
Version: 20070115
Release: alt2

Summary: Library for data extracting from Origin(tm) files
License: GPL
Group: Sciences/Other
Url: http://www.sourceforge.net/projects/%name
Packager: Yury Aliaev <mutabor@altlinux.ru>

Source: %name-%version.tgz
Patch0: %name-%version-makefile-CXXFLAGS-alt.patch
Patch1: %name-%version-sonamefix-alt.patch
Patch2: %name-%version-noinstlib-alt.patch

BuildRequires: gcc-c++

%description
This is the library for data extracting from Microcal(R) Origin(tm) files. Currently it can extract
data from tables.

%package -n %name-devel
Summary: Development files for liborigin
Group: Development/C
Requires: %name = %version-%release

%description -n %name-devel
This package contains development files (headers and library links) for the software
development using liborigin library.

%package -n opj2dat
Summary: Utility for extracting data from Origin(tm) files
Group: Sciences/Other

%description -n opj2dat
This package contains command-line utility for extracting data from Microcal(R) Origin(tm) files.

%description -n opj2dat -l ru_RU.KOI8-R
  -      , 
 Microcal(R) Origin(tm).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%make clean

%build
%make CXXFLAGS="$RPM_OPT_FLAGS"

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%install
%makeinstall DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_libdir
cp %name.so.0.0.1 $RPM_BUILD_ROOT%_libdir
(cd $RPM_BUILD_ROOT%_libdir;\
ln -s %name.so.0.0.1 %name.so;\
ln -s %name.so.0.0.1 %name.so.0;\
ln -s %name.so.0.0.1 %name.so.0.0)

%files
%_libdir/%name.so.0.0.1
%doc README

%files -n %name-devel
%_includedir/*
%_libdir/%name.so.0.0
%_libdir/%name.so.0
%_libdir/%name.so

%files -n opj2dat
%_bindir/*

%changelog
* Tue Apr 17 2007 Yury Aliaev <mutabor@altlinux.ru> 20070115-alt2
- fixed build for 64 bit architectures

* Fri Feb 16 2007 Yury Aliaev <mutabor@altlinux.ru> 20070115-alt1
- v.20070115

* Wed Jul 19 2006 Yury Aliaev <mutabor@altlinux.ru> 20060616-alt1
- v.20060616

* Sat Jun 10 2006 Yury Aliaev <mutabor@altlinux.ru> 20060607-alt1
- v.20060607

* Sat Jun 3 2006 Yury Aliaev <mutabor@altlinux.ru> 20060529-alt1
- v.20060529

* Mon May 29 2006 Yury Aliaev <mutabor@altlinux.ru> 20060517-alt2
- Ooops! Previous built always leaded to segfaults. Now fixed.

* Wed May 24 2006 Yury Aliaev <mutabor@altlinux.ru> 20060517-alt1
- First build for Sisyphus.
